"use client";
import { __exports as e } from "../../../../../_virtual/iteratee.js";
import { __require as u } from "../../function/identity.js";
import { __require as m } from "../object/property.js";
import { __require as p } from "../predicate/matches.js";
import { __require as y } from "../predicate/matchesProperty.js";
var i;
function b() {
  return i ? e : (i = 1, (function(t) {
    Object.defineProperty(t, Symbol.toStringTag, { value: "Module" });
    const o = /* @__PURE__ */ u(), n = /* @__PURE__ */ m(), s = /* @__PURE__ */ p(), c = /* @__PURE__ */ y();
    function a(r) {
      if (r == null)
        return o.identity;
      switch (typeof r) {
        case "function":
          return r;
        case "object":
          return Array.isArray(r) && r.length === 2 ? c.matchesProperty(r[0], r[1]) : s.matches(r);
        case "string":
        case "symbol":
        case "number":
          return n.property(r);
      }
    }
    t.iteratee = a;
  })(e), e);
}
export {
  b as __require
};
